Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrade.tasks
Class UpgradeTask201

    java.lang.Object
      com.atlassian.bamboo.upgrade.tasks.UpgradeTask201

All Implemented Interfaces:
  UpgradeTask

    public class UpgradeTask201

extends Object
implements UpgradeTask

Constructor Summary
`UpgradeTask201()`

Method Summary
`void` | `doUpgrade()` Perform the upgrade.
`BootstrapManager` | `getBootstrapManager()`
`String` | `getBuildNumber()`
`Collection` | `getErrors()` Return any errors that occur.
`String` | `getShortDescription()` A short (<50 chars) description of the upgrade action
`SIDManager` | `getSidManager()`
`void` | `setBootstrapManager(BootstrapManager bootstrapManager)`
`void` | `setSidManager(SIDManager sidManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpgradeTask201

    public UpgradeTask201()

Method Detail

### getBuildNumber

    public String getBuildNumber()

  Specified by:
    `getBuildNumber` in interface `UpgradeTask`
  Returns:
    The build number that this upgrade is applicable to.

### getShortDescription

    public String getShortDescription()

  Description copied from interface: `UpgradeTask`
  A short (<50 chars) description of the upgrade action

  Specified by:
    `getShortDescription` in interface `UpgradeTask`

### doUpgrade

    public void doUpgrade()
                   throws Exception

  Description copied from interface: `UpgradeTask`
  Perform the upgrade.

  Specified by:
    `doUpgrade` in interface `UpgradeTask`
  Throws:
    `Exception`

### getErrors

    public Collection getErrors()

  Description copied from interface: `UpgradeTask`
  Return any errors that occur. Each entry is a string.

  Specified by:
    `getErrors` in interface `UpgradeTask`

### getBootstrapManager

    public BootstrapManager getBootstrapManager()

### setBootstrapManager

    public void setBootstrapManager(BootstrapManager bootstrapManager)

### getSidManager

    public SIDManager getSidManager()

### setSidManager

    public void setSidManager(SIDManager sidManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.